import { setLevelDoneAction, SET_LEVEL_DONE, TOGGLE_SHOW_TIPS, toggleShowTipsAction, toggleSoundsAction, TOGGLE_SOUNDS, TOGGLE_MUSIC, toggleMusicAction, muteAllAction, MUTE_ALL } from "./types";

export function toggleSounds(): toggleMusicAction {
    return { type: TOGGLE_MUSIC }
}

export function toggleMusic(): toggleSoundsAction {
    return { type: TOGGLE_SOUNDS }
}

export function toggleShowTips(): toggleShowTipsAction {
    return { type: TOGGLE_SHOW_TIPS }
}

export function levelDone(idx: number, stars: number): setLevelDoneAction {
    return { type: SET_LEVEL_DONE, levelIdx: idx, stars: stars }
}

export function muteAll(): muteAllAction {
    return { type: MUTE_ALL }
}
